summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2020-05-29 11:01:03 -0600
committerTuowen Zhao <ztuowen@gmail.com>2020-05-29 11:01:03 -0600
commita3be2e4084285d7625e63bfe4b951c58143e3c9c (patch)
treea018be4daef44a51b91477f38da514867659c7d6 /lib
parent191e14cc7f63c4525a0f66d571416faf9e91a185 (diff)
parent93cc3964e2d265ab0571298d69d2eed0a65d13f2 (diff)
downloadzsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.tar.gz
zsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.tar.bz2
zsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.zip
Merge branch 'master' of https://github.com/ohmyzsh/ohmyzsh
Diffstat (limited to 'lib')
-rw-r--r--lib/cli.zsh8
-rw-r--r--lib/completion.zsh4
-rw-r--r--lib/diagnostics.zsh8
-rw-r--r--lib/history.zsh1
4 files changed, 10 insertions, 11 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index 8c0fabb82..e25a9f0b1 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -103,7 +103,7 @@ EOF
function _omz::pr::clean {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
_omz::log info "removing all Oh My Zsh Pull Request branches..."
command git branch --list 'ohmyzsh/pull-*' | while read branch; do
@@ -126,7 +126,7 @@ function _omz::pr::test {
# Save current git HEAD
local branch
- branch=$(cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
+ branch=$(builtin cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
_omz::log error "error when getting the current git branch. Aborting..."
return 1
}
@@ -136,7 +136,7 @@ function _omz::pr::test {
# If any of these operations fail, undo the changes made
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
# Get the ohmyzsh git remote
command git remote -v | while read remote url _; do
@@ -185,7 +185,7 @@ function _omz::pr::test {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
command git checkout "$branch" -- || {
_omz::log error "could not go back to the previous branch ('$branch')."
diff --git a/lib/completion.zsh b/lib/completion.zsh
index 8b87557a2..43927a277 100644
--- a/lib/completion.zsh
+++ b/lib/completion.zsh
@@ -41,8 +41,8 @@ fi
zstyle ':completion:*:cd:*' tag-order local-directories directory-stack path-directories
# Use caching so that commands like apt and dpkg complete are useable
-zstyle ':completion::complete:*' use-cache 1
-zstyle ':completion::complete:*' cache-path $ZSH_CACHE_DIR
+zstyle ':completion:*' use-cache yes
+zstyle ':completion:*' cache-path $ZSH_CACHE_DIR
# Don't complete uninteresting users
zstyle ':completion:*:*:*:users' ignored-patterns \
diff --git a/lib/diagnostics.zsh b/lib/diagnostics.zsh
index 9c9905e4d..001de42b7 100644
--- a/lib/diagnostics.zsh
+++ b/lib/diagnostics.zsh
@@ -192,19 +192,19 @@ function _omz_diag_dump_one_big_text() {
command ls -ld ~/.oh*
builtin echo
builtin echo oh-my-zsh git state:
- (cd $ZSH && builtin echo "HEAD: $(git rev-parse HEAD)" && git remote -v && git status | command grep "[^[:space:]]")
+ (builtin cd $ZSH && builtin echo "HEAD: $(git rev-parse HEAD)" && git remote -v && git status | command grep "[^[:space:]]")
if [[ $verbose -ge 1 ]]; then
- (cd $ZSH && git reflog --date=default | command grep pull)
+ (builtin cd $ZSH && git reflog --date=default | command grep pull)
fi
builtin echo
if [[ -e $ZSH_CUSTOM ]]; then
local custom_dir=$ZSH_CUSTOM
if [[ -h $custom_dir ]]; then
- custom_dir=$(cd $custom_dir && pwd -P)
+ custom_dir=$(builtin cd $custom_dir && pwd -P)
fi
builtin echo "oh-my-zsh custom dir:"
builtin echo " $ZSH_CUSTOM ($custom_dir)"
- (cd ${custom_dir:h} && command find ${custom_dir:t} -name .git -prune -o -print)
+ (builtin cd ${custom_dir:h} && command find ${custom_dir:t} -name .git -prune -o -print)
builtin echo
fi
diff --git a/lib/history.zsh b/lib/history.zsh
index 52e45bf4c..0f04de215 100644
--- a/lib/history.zsh
+++ b/lib/history.zsh
@@ -36,5 +36,4 @@ setopt hist_expire_dups_first # delete duplicates first when HISTFILE size excee
setopt hist_ignore_dups # ignore duplicated commands history list
setopt hist_ignore_space # ignore commands that start with space
setopt hist_verify # show command with history expansion to user before running it
-setopt inc_append_history # add commands to HISTFILE in order of execution
setopt share_history # share command history data